
GammaLib - Feature #3461

Add GSkyMap::correlate() method

11/24/2020 08:40 AM - Knödlseder Jürgen

Status: Closed Start date: 11/24/2020

Priority: High Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0.0   

Description

The GSkyMap::correlate() method - as opposed to the GSkyMap::smooth()@ method - should correlate a sky map with a

non-normalised kernel so that the content of all pixels within the correlation kernel is assigned to a given pixel.

History

#1 - 11/24/2020 12:41 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- % Done changed from 0 to 50

I implemented the GSkyMap::correlate() method. Unit testing of this method still need to be added.

#2 - 03/14/2022 04:03 PM - Knödlseder Jürgen

- Status changed from In Progress to Feedback

- % Done changed from 50 to 90

I added a unit test.

#3 - 03/15/2022 11:46 AM - Knödlseder Jürgen

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

Merged into devel.
